API ReferenceapicommsGET /v1/suppressions/{email}

GET /v1/suppressions/\{email\}

Service: comms · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • email (string) required

Query parameters

  • brand_id (string) required

Responses

200 Suppression status for email

{
  "type": "object",
  "properties": {
    "suppressed": {
      "type": "boolean"
    },
    "suppression": {
      "type": [
        "object",
        "null"
      ],
      "properties": {
        "id": {
          "type": "string"
        },
        "brand_id": {
          "type": "string"
        },
        "email": {
          "type": "string"
        },
        "reason": {
          "type": "string"
        },
        "source": {
          "type": "string"
        },
        "suppressed_at": {
          "type": "string"
        },
        "lifted_at": {
          "type": [
            "string",
            "null"
          ]
        }
      },
      "required": [
        "id",
        "brand_id",
        "email",
        "reason",
        "source",
        "suppressed_at",
        "lifted_at"
      ]
    }
  },
  "required": [
    "suppressed",
    "suppression"
  ]
}

Example

curl -X GET https://comms.platform.loop.health/v1/suppressions/{email} \
  -H "Authorization: Bearer $ACCESS_TOKEN"